juddi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ryan LeCompte" <ryan.lecom...@pangonetworks.com>
Subject jaxrpc.jar/saaj.jar version conflict problems
Date Tue, 12 Jul 2005 18:24:09 GMT
Hello all,

 

I'm faced with the following problem. My project currently uses JAR files
from JWSDP 1.5 for our web services. I am trying to install jUDDI, which
relies on Apache Axis 1.2. The saaj.jar and jaxrpc.jar files are bundled
with the binary form of jUDDI, and reside in the webapps/juddi/WEB-INF/lib
directory. Note that we are running embedded tomcat, so the JAR files from
JWSDP 1.5 (saaj.jar, etc.) are already part of the classpath for embedded
tomcat. Problems arise when jUDDI is receiving requests, because it has
picked up the JAR files from JWSDP 1.5 that are part of the main classpath,
and NOT the jaxrpc.jar and saaj.jar files from /webapps/juddi/WEB-INF/lib.
Questions:

 

1)       Which version of jaxrpc.jar and saaj.jar does Axis 1.2 bundle? Are
these jars from JWSDP 1.5 or 1.4 or 1.6?

2)       Is there a way to configure Axis or Tomcat such that it only loads
saaj.jar and jaxrpc.jar from /webapps/juddi/WEB-INF/lib and NOT from the
main classpath?

 

Any help would be greatly appreciated!

 

Thanks,

Ryan

 


Mime
View raw message